export const DEFAULT_CONFIG = {
    debug: false,
    isolated: false,
    network: 'regtest',
    rpcport: 18443,
    throws: false,
    timeout: 5000,
    verbose: true,
    params: [],
    core_params: [],
    cli_params: []
};
export function get_config(config = {}) {
    const { confpath, corepath, clipath, datapath } = config;
    config.confpath = resolve_path(confpath);
    config.corepath = resolve_path(corepath);
    config.clipath = resolve_path(clipath);
    config.datapath = resolve_path(datapath);
    return { ...DEFAULT_CONFIG, ...config };
}
function resolve_path(path) {
    return (typeof path === 'string' && !path.startsWith('/'))
        ? process.cwd() + '/' + path
        : path;
}
//# sourceMappingURL=config.js.map